Create knowledge base
curl --request POST \
--url https://api.upon-ai.com/api/knowledge-bases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": 123,
"name": "<string>",
"description": "<string>",
"enableAutoRefresh": true,
"maxChunkSize": 123,
"minChunkSize": 123,
"sources": [
{
"text": "<string>",
"title": "<string>",
"url": "<string>",
"filename": "<string>",
"contentType": "<string>",
"base64": "<string>"
}
]
}
'import requests
url = "https://api.upon-ai.com/api/knowledge-bases"
payload = {
"workspaceId": 123,
"name": "<string>",
"description": "<string>",
"enableAutoRefresh": True,
"maxChunkSize": 123,
"minChunkSize": 123,
"sources": [
{
"text": "<string>",
"title": "<string>",
"url": "<string>",
"filename": "<string>",
"contentType": "<string>",
"base64": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: 123,
name: '<string>',
description: '<string>',
enableAutoRefresh: true,
maxChunkSize: 123,
minChunkSize: 123,
sources: [
{
text: '<string>',
title: '<string>',
url: '<string>',
filename: '<string>',
contentType: '<string>',
base64: '<string>'
}
]
})
};
fetch('https://api.upon-ai.com/api/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"knowledgeBaseId": "<string>",
"name": "<string>",
"description": "<string>",
"sources": [
{
"source_id": "<string>",
"source_type": "<string>",
"filename": "<string>"
}
],
"workspaceId": 123
}Knowledge Bases
Create knowledge base
Create a knowledge base and ingest documents, URLs, or free-form text for grounded responses. URL auto-refresh and chunking controls are supported.
POST
/
api
/
knowledge-bases
Create knowledge base
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Body
application/json
⌘I